<?php

if ($_POST['export']) {

	require_once '../../../wp-load.php';

	$links = maybe_unserialize(get_option('smli'));
	$params = maybe_unserialize(get_option('smli_params'));
	$charset = $params['msexcel'] ? 'windows-1251' : 'utf-8' ;
	$delimeter = $params['msexcel'] ? ';' : ',' ;

	foreach ($links as $k => $link) {
		if ($_POST['before']) { 
			$links[$k]['before'] = $links[$k]['before'] && $params['msexcel'] ? iconv('UTF-8', 'windows-1251', $links[$k]['before']) : $links[$k]['before'] ; 
			$dope_links[$k]['before'] = $links[$k]['before'] ? $links[$k]['before'] : '' ; 
		}
		if ($_POST['anchor']) { 
			$links[$k]['anchor'] = $links[$k]['anchor'] && $params['msexcel'] ? iconv('UTF-8', 'windows-1251', $links[$k]['anchor']) : $links[$k]['anchor'] ; 
			$dope_links[$k]['anchor'] = $links[$k]['anchor'] ? $links[$k]['anchor'] : '' ;
		}
		if ($_POST['after']) { 
			$links[$k]['after'] = $links[$k]['after'] && $params['msexcel'] ? iconv('UTF-8', 'windows-1251', $links[$k]['after']) : $links[$k]['after'] ; 
			$dope_links[$k]['after'] = $links[$k]['after'] ? $links[$k]['after'] : '' ;
		}
		if ($_POST['href']) { 
			$links[$k]['href'] = $links[$k]['href'] && $params['msexcel'] ? iconv('UTF-8', 'windows-1251', $links[$k]['href']) : $links[$k]['href'] ; 
			$dope_links[$k]['href'] = $links[$k]['href'] ? $links[$k]['href'] : '' ;
		}
	}

	header('Content-Type: text/csv; charset='.$charset);
	header('Content-Disposition: attachment; filename=smli.csv');

	$output = fopen('php://output', 'w');

	$dope_links = !count($dope_links) ? array(array('I saw that.'), array(' - Karma')) : $dope_links ;
	foreach ($dope_links as $k => $link) {
		fputcsv($output, $link, $delimeter);
	}

}