var $j = jQuery.noConflict();

function implode( glue, pieces ) {
	return ( ( pieces instanceof Array ) ? pieces.join ( glue ) : pieces );
}
function getLinks (data,textresponse) {
    var arr = [];    
    if (data.items) {
	    $j.each(data.items, function(k,val) {
	      arr[k] = val.link;
	    });
    }
    arr = implode(';',arr);
    return arr;
}

$j(function(){
	$j.ajaxSetup({
	  async: false
	});
	
    $j(".smli-add").click(function(e){
    	if ($j(this).attr('disabled') != 'disabled') {
	    	var tr = $j('#smli-links tr:first-child').clone().wrap('<tr>').parent().html();
	    	var d = +new Date;
	    	tr = tr.replace(/smli\[([0-9]{1,20})\]/g,'smli['+ d +']')
	    		   .replace(/ids\[([0-9]{1,20})\]/g,'ids['+ d +']')
	    		   .replace(/data-k="([0-9]{1,20})"/g,'data-k="'+ d +'"')
	    		   .replace(/value="[^"]*"/g,'value=""');
	    	$j("#smli-links").append(tr);
    	}
    	e.preventDefault();
    });

    $j("thead .smli-cb input:checkbox:not(:checked)").live('click',function(){
    	$j(".smli-cb input:checkbox").removeAttr("checked");
    });

    $j("thead .smli-cb input:checkbox:checked").live('click',function(){
    	$j(".smli-cb input:checkbox").prop("checked", "checked");
    });

    $j(".smli-save").click(function(){
    	if ($j(this).attr('disabled') != 'disabled') {
			$j('#smliform').submit();	    	
    	}
    });    

    $j(".smli-del").click(function(){
    	var ks = 0;
    	var rd = false;
    	$j("tbody .smli-cb input:checkbox:checked").each( function() {
    		var k = $j(this).attr('data-k');
    		if (k < 999999) { ks = ks ? ks+','+k : k; }
    		$j(this).parents('tr:not(:nth-child(1))').remove();
    		if ($j(this).parents('tr:nth-child(1)').length) {
	    		var tr = $j(this).parents('tr:nth-child(1)').clone().wrap('<tr>').parent().html();
		    	var d = +new Date;
		    	tr = tr.replace(/smli\[([0-9]{1,20})\]/g,'smli['+ d +']')
		    		   .replace(/ids\[([0-9]{1,20})\]/g,'ids['+ d +']')
		    		   .replace(/data-k="([0-9]{1,20})"/g,'data-k="'+ d +'"')
		    		   .replace(/value="[^"]*"/g,'value=""');
		    	$j("#smli-links").prepend(tr);
		    	rd = true;
    		}
    		$j(this).parents('tr').remove();
    	});
    	if ($j('tbody tr').length > 1 && rd) {
    		$j('tbody tr:nth-child(1)').remove();
    	}


			var pr = [];
			$j('#smli-links tr').each(function(k, val) {
				var dk = $j(this).attr('data-k');
				if (parseInt(dk) < 999999) { pr.push(dk) };
			});
			$j('[name="smli_pr"]').val(pr);
			console.log('pr: '+pr);
			pr = pr.join( ',' );
			console.log('pr+: '+pr);

    	console.log(ks);
		$j.post($j('#smliform').attr('action')+'?act=del&method='+smliParams.method, 
			{
				keys: ks,
				pkeys: pr
			},
			function (data) {		

				console.log(data);

			}
		);		
    });    

	$j('#smliform').ajaxForm({
		url: $j('#smliform').attr('action')+'?method='+smliParams.method,
		beforeSerialize: function(responseText) {
			$j('.button-primary, .button').attr('disabled','disabled');
			var pr = [];
			$j('#smli-links tr').each(function(k, val) {
				var dk = $j(this).attr('data-k');
				pr.push(dk);
			});
			$j('[name="smli_pr"]').val(pr);
			console.log('pr: '+pr);

			/*
			if (smliParams.method == 'g') {
				$j('#smli-links tr').each( function(){
					var k = $j(this).find('input').attr('data-k');
					var $urls = $j(this).find('.smli-urls');
					if (parseInt(k) > 1000000) {
						var q = $j(this).find('.smli-anchor').val();
						var nums = [0,1,2,3,4];
   						$j.each(nums, function(k,val) {
						$j.getJSON("https://www.googleapis.com/customsearch/v1?",
						  {
						    key: smliParams.gkey,
						    cx: smliParams.cx,
						    q: q,
						    siteSearch: smliParams.site,
						    siteSearchFilter: 'i',
							start: parseInt(val)*parseInt(10)+parseInt(1)
						  }, function (data, responsetext) {
						      var links = getLinks(data,responsetext);
						      var linksArr = links.split(';');
								var urls0 = $urls.val().split(';') ? $urls.val().split(';') : [];
								var urlsx = $j.merge(urls0, linksArr);
								urlsx = implode(';', urlsx);
						      $urls.val(urlsx);
						      console.log('links: '+links);
						      console.log('linksArr: '+linksArr);
						      console.log('urls0: '+urls0);
						      console.log('urlsx: '+urlsx);
						});		
						});
					}
				});		
			}
			*/

			return true;
		},
		success: function(responseText) { 
			$j('.button-primary, .button').removeAttr('disabled');
			console.log(responseText);
			// [x1-0207]
			location.reload();
		}
	});	

	$j('#smli-links').sortable({
    		stop: function( event, ui ) {
			var pr = [];
			$j('#smli-links tr').each(function(k, val) {
				var dk = $j(this).attr('data-k');
				pr.push(dk);
			});
			$j('[name="smli_pr"]').val(pr);
			console.log('pr: '+pr);
    		}
	});

});	